/// <reference path="../.astro/types.d.ts" />
/// <reference types="astro/client" />

import PocketBase from 'pocketbase'
export interface ImportMetaEnv {
    NODE_ENV: string
    APP_URL: string

    POCKETBASE_URL: string

	GOOGLE_API_KEY: string
}

interface ImportMeta {
	readonly env: ImportMetaEnv
}


// declare namespace App {
// 	interface Locals {
// 		pb: PocketBase
// 	}
// }


declare global {
    namespace App {
        interface Locals {
			pb: PocketBase
        }
    }
}
